Package org.apache.struts2.config_browser

# Class ListValidatorsAction

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.config_browser.ListValidatorsAction

All Implemented Interfaces:
  `Serializable`, `Action`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

Direct Known Subclasses:
  `ShowValidatorAction`

public class ListValidatorsAction extends ActionSupport
ListValidatorsAction loads the validations for a given class and context

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListValidatorsAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute()`
  `String`
  `getClazz()`
  `String`
  `getContext()`
  `List`
  `getValidators()`
  `String`
  `index()`
  Index action to support cooperation with REST plugin
  `protected void`
  `loadValidators()`
  `void`
  `setActionValidatorManager(ActionValidatorManager mgr)`
  `void`
  `setClazz(String clazz)`
  `void`
  `setContext(String context)`
  `String`
  `stripPackage(Class clazz)`
  `String`
  `stripPackage(String clazz)`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListValidatorsAction

    public ListValidatorsAction()

- ## Method Details

  - ### setActionValidatorManager

    public void setActionValidatorManager(ActionValidatorManager mgr)

  - ### getClazz

    public String getClazz()

  - ### setClazz

    public void setClazz(String clazz)

  - ### stripPackage

    public String stripPackage(Class clazz)

  - ### stripPackage

    public String stripPackage(String clazz)

  - ### getContext

    public String getContext()

  - ### setContext

    public void setContext(String context)

  - ### getValidators

    public List getValidators()

  - ### execute

    public String execute() throws Exception
    Specified by:
      `execute` in interface `Action`
    Overrides:
      `execute` in class `ActionSupport`
    Throws:
      `Exception`

  - ### index

    public String index() throws Exception
    Index action to support cooperation with REST plugin
    Returns:
      action result
    Throws:
      `Exception`

  - ### loadValidators

    protected void loadValidators()